Bug 175836 - Doc: Add information about using ssh -Y to run system-config-cluster from RHEL4 machine
Doc: Add information about using ssh -Y to run system-config-cluster from RHE...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rh-cs-en (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Kennedy
Cluster QE
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-15 12:12 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 16:48:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-12-15 12:12:02 EST
Description of problem:

The Red Hat Cluster Suite admin guide (Red Hat Cluster Suite: Configuring and
Managing a Cluster) for Red Hat Cluster Suite 4 does not describe how to start
the configuration GUI (system-config-cluster) properly when using ssh.
When running system-config-cluster via ssh from a RHEL4 machine, the ssh session
must be initiated with the -Y option. 

Example of trying to run system-config-cluster *without* using the -Y option
from a RHEL4 machine:

[pkennedy@pkennedy ~]$ ssh root@tng3-4
Last login: Thu Dec 15 05:29:39 2005 from dhcp80-203.msp.redhat.com
[root@tng3-4 ~]# system-config-cluster
Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 17, in ?
    from gtk import TRUE, FALSE
  File
"/usr/src/build/463937-i386/install/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py",
line 37, in ?
RuntimeError: could not open display


Version-Release number of selected component (if applicable):

rh-cs(EN)-4-HTML-RHI (2005-11-30T16:52) and 
rh-cs(EN)-4-Print-RHI (2005-11-30T16:52)


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Paul Kennedy 2006-03-17 14:10:59 EST
Fixed in RHCS4 documentation release for RHEL4 U3:
http://www.redhat.com/docs/manuals/csgfs/browse/rh-cs-en/s1-start-clustertool.html
Comment 2 Michael Hideo 2007-06-06 01:02:38 EDT
Adding ecs-dev-list@redhat.com for wider coverage
Comment 3 Michael Hideo 2007-10-22 22:44:27 EDT
Removing automation notification
Comment 4 Paul Kennedy 2008-01-16 16:48:47 EST
Updated content is available on this page for all versions of the document:
http://www.redhat.com/docs/manuals/csgfs/

Note You need to log in before you can comment on or make changes to this bug.